it-swarm-ja.com

Mcrypt PHP拡張が必要です。 Laravel、Xamppエラー

Ubuntu 14.04、Xampp、およびLaravelで問題が発生しています。 laravelをインストールしようとすると、Mcrypt PHP extension required. Script php artisan clear-compiled handling the post-install-cmd event returned with an errorが表示されます。

私はそれにいくつかのスレッドがあり、それらのほとんどを試してみましたが、運はありませんでした。

6

必要なMcrypt PHP extensionは別のパッケージ、つまりphp5-mcryptにパッケージ化されています。このパッケージをマシンにインストールするには、次のようにapt-getを使用できます。

Sudo apt-get install php5-mcrypt

さらに、PHP拡張機能を正しいサーバーAPI(SAPI)に登録する必要があります。このプロセスを簡素化するために、パッケージャーによって提供されるphp5enmodというコマンドラインツールがあります。例えば.

Sudo php5enmod mcrypt

すべての関連extension=mcrypt.soファイルに正しいphp.ini行を追加します。

10
auxiliaire

Laravelをインストールする前に、PHP mcryptモジュールを有効にします。

コマンドの使用:Sudo php5enmod mcrypt